/*
 * Internal module API header file.
 *
 * Generated by SIP 4.19.20
 *
 * Copyright (c) 2019 Riverbank Computing Limited <info@riverbankcomputing.com>
 * 
 * This file is part of PyQtWebEngine.
 * 
 * This file may be used under the terms of the GNU General Public License
 * version 3.0 as published by the Free Software Foundation and appearing in
 * the file LICENSE included in the packaging of this file.  Please review the
 * following information to ensure the GNU General Public License version 3.0
 * requirements will be met: http://www.gnu.org/copyleft/gpl.html.
 * 
 * If you do not wish to use this file under the terms of the GPL version 3.0
 * then you may purchase a commercial license.  For more information contact
 * info@riverbankcomputing.com.
 * 
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

#ifndef _QtWebEngineAPI_H
#define _QtWebEngineAPI_H

#if !defined(Py_LIMITED_API)
#define Py_LIMITED_API
#endif

#include <sip.h>

#include <QMetaType>
#include <QThread>

/* These are the qualifiers that are enabled. */
#define SIP_FEATURE_PyQt_WebChannel
#define SIP_FEATURE_PyQt_MacOSXOnly
#define SIP_FEATURE_PyQt_Process
#define SIP_FEATURE_PyQt_NotBootstrapped
#define SIP_FEATURE_PyQt_Desktop_OpenGL
#define SIP_FEATURE_PyQt_OpenGL
#define SIP_FEATURE_PyQt_RawFont
#define SIP_FEATURE_PyQt_PrintPreviewDialog
#define SIP_FEATURE_PyQt_PrintPreviewWidget
#define SIP_FEATURE_PyQt_Printer
#define SIP_FEATURE_PyQt_PrintDialog
#define SIP_FEATURE_Py_v3
#define SIP_FEATURE_PyQt_qreal_double
#define SIP_FEATURE_PyQt_SSL
#define SIP_FEATURE_PyQt_SessionManager
#define SIP_FEATURE_PyQt_Accessibility
#define SIP_PLATFORM_WS_X11
#define SIP_TIMELINE_Qt_5_13_0


/*
 * Convenient names to refer to various strings defined in this module.
 * Only the class names are part of the public API.
 */
#define sipNameNr_QQuickWebEngineProfile__PersistentCookiesPolicy 0
#define sipName_QQuickWebEngineProfile__PersistentCookiesPolicy &sipStrings_QtWebEngine[0]
#define sipNameNr_useForGlobalCertificateVerificationChanged 48
#define sipName_useForGlobalCertificateVerificationChanged &sipStrings_QtWebEngine[48]
#define sipNameNr_isUsedForGlobalCertificateVerification 91
#define sipName_isUsedForGlobalCertificateVerification &sipStrings_QtWebEngine[91]
#define sipNameNr_setUseForGlobalCertificateVerification 130
#define sipName_setUseForGlobalCertificateVerification &sipStrings_QtWebEngine[130]
#define sipNameNr_QQuickWebEngineScript__InjectionPoint 169
#define sipName_QQuickWebEngineScript__InjectionPoint &sipStrings_QtWebEngine[169]
#define sipNameNr_QQuickWebEngineProfile__HttpCacheType 207
#define sipName_QQuickWebEngineProfile__HttpCacheType &sipStrings_QtWebEngine[207]
#define sipNameNr_QQuickWebEngineScript__ScriptWorldId 245
#define sipName_QQuickWebEngineScript__ScriptWorldId &sipStrings_QtWebEngine[245]
#define sipNameNr_persistentCookiesPolicyChanged 282
#define sipName_persistentCookiesPolicyChanged &sipStrings_QtWebEngine[282]
#define sipNameNr_persistentStoragePathChanged 313
#define sipName_persistentStoragePathChanged &sipStrings_QtWebEngine[313]
#define sipNameNr_httpCacheMaximumSizeChanged 342
#define sipName_httpCacheMaximumSizeChanged &sipStrings_QtWebEngine[342]
#define sipNameNr_spellCheckLanguagesChanged 370
#define sipName_spellCheckLanguagesChanged &sipStrings_QtWebEngine[370]
#define sipNameNr_removeAllUrlSchemeHandlers 397
#define sipName_removeAllUrlSchemeHandlers &sipStrings_QtWebEngine[397]
#define sipNameNr_setPersistentCookiesPolicy 424
#define sipName_setPersistentCookiesPolicy &sipStrings_QtWebEngine[424]
#define sipNameNr_httpAcceptLanguageChanged 451
#define sipName_httpAcceptLanguageChanged &sipStrings_QtWebEngine[451]
#define sipNameNr_spellCheckEnabledChanged 477
#define sipName_spellCheckEnabledChanged &sipStrings_QtWebEngine[477]
#define sipNameNr_setUrlRequestInterceptor 502
#define sipName_setUrlRequestInterceptor &sipStrings_QtWebEngine[502]
#define sipNameNr_setPersistentStoragePath 527
#define sipName_setPersistentStoragePath &sipStrings_QtWebEngine[527]
#define sipNameNr_installUrlSchemeHandler 552
#define sipName_installUrlSchemeHandler &sipStrings_QtWebEngine[552]
#define sipNameNr_setHttpCacheMaximumSize 576
#define sipName_setHttpCacheMaximumSize &sipStrings_QtWebEngine[576]
#define sipNameNr_persistentCookiesPolicy 600
#define sipName_persistentCookiesPolicy &sipStrings_QtWebEngine[600]
#define sipNameNr_PersistentCookiesPolicy 24
#define sipName_PersistentCookiesPolicy &sipStrings_QtWebEngine[24]
#define sipNameNr_clientCertificateStore 624
#define sipName_clientCertificateStore &sipStrings_QtWebEngine[624]
#define sipNameNr_setSpellCheckLanguages 647
#define sipName_setSpellCheckLanguages &sipStrings_QtWebEngine[647]
#define sipNameNr_removeUrlSchemeHandler 670
#define sipName_removeUrlSchemeHandler &sipStrings_QtWebEngine[670]
#define sipNameNr_ForcePersistentCookies 693
#define sipName_ForcePersistentCookies &sipStrings_QtWebEngine[693]
#define sipNameNr_AllowPersistentCookies 716
#define sipName_AllowPersistentCookies &sipStrings_QtWebEngine[716]
#define sipNameNr_QQuickWebEngineProfile 739
#define sipName_QQuickWebEngineProfile &sipStrings_QtWebEngine[739]
#define sipNameNr_runOnSubframesChanged 762
#define sipName_runOnSubframesChanged &sipStrings_QtWebEngine[762]
#define sipNameNr_injectionPointChanged 784
#define sipName_injectionPointChanged &sipStrings_QtWebEngine[784]
#define sipNameNr_QQuickWebEngineScript 806
#define sipName_QQuickWebEngineScript &sipStrings_QtWebEngine[806]
#define sipNameNr_setRequestInterceptor 828
#define sipName_setRequestInterceptor &sipStrings_QtWebEngine[828]
#define sipNameNr_setHttpAcceptLanguage 850
#define sipName_setHttpAcceptLanguage &sipStrings_QtWebEngine[850]
#define sipNameNr_persistentStoragePath 872
#define sipName_persistentStoragePath &sipStrings_QtWebEngine[872]
#define sipNameNr_setSpellCheckEnabled 894
#define sipName_setSpellCheckEnabled &sipStrings_QtWebEngine[894]
#define sipNameNr_httpCacheTypeChanged 915
#define sipName_httpCacheTypeChanged &sipStrings_QtWebEngine[915]
#define sipNameNr_httpUserAgentChanged 936
#define sipName_httpUserAgentChanged &sipStrings_QtWebEngine[936]
#define sipNameNr_httpCacheMaximumSize 957
#define sipName_httpCacheMaximumSize &sipStrings_QtWebEngine[957]
#define sipNameNr_presentNotification 978
#define sipName_presentNotification &sipStrings_QtWebEngine[978]
#define sipNameNr_downloadPathChanged 998
#define sipName_downloadPathChanged &sipStrings_QtWebEngine[998]
#define sipNameNr_isSpellCheckEnabled 1018
#define sipName_isSpellCheckEnabled &sipStrings_QtWebEngine[1018]
#define sipNameNr_spellCheckLanguages 1038
#define sipName_spellCheckLanguages &sipStrings_QtWebEngine[1038]
#define sipNameNr_offTheRecordChanged 1058
#define sipName_offTheRecordChanged &sipStrings_QtWebEngine[1058]
#define sipNameNr_NoPersistentCookies 1078
#define sipName_NoPersistentCookies &sipStrings_QtWebEngine[1078]
#define sipNameNr_storageNameChanged 1098
#define sipName_storageNameChanged &sipStrings_QtWebEngine[1098]
#define sipNameNr_httpAcceptLanguage 1117
#define sipName_httpAcceptLanguage &sipStrings_QtWebEngine[1117]
#define sipNameNr_sourceCodeChanged 1136
#define sipName_sourceCodeChanged &sipStrings_QtWebEngine[1136]
#define sipNameNr_setRunOnSubframes 1154
#define sipName_setRunOnSubframes &sipStrings_QtWebEngine[1154]
#define sipNameNr_setInjectionPoint 1172
#define sipName_setInjectionPoint &sipStrings_QtWebEngine[1172]
#define sipNameNr_PyQt5_QtWebEngine 1190
#define sipName_PyQt5_QtWebEngine &sipStrings_QtWebEngine[1190]
#define sipNameNr_sourceUrlChanged 1208
#define sipName_sourceUrlChanged &sipStrings_QtWebEngine[1208]
#define sipNameNr_ApplicationWorld 1225
#define sipName_ApplicationWorld &sipStrings_QtWebEngine[1225]
#define sipNameNr_DocumentCreation 1242
#define sipName_DocumentCreation &sipStrings_QtWebEngine[1242]
#define sipNameNr_cachePathChanged 1259
#define sipName_cachePathChanged &sipStrings_QtWebEngine[1259]
#define sipNameNr_urlSchemeHandler 1276
#define sipName_urlSchemeHandler &sipStrings_QtWebEngine[1276]
#define sipNameNr_setHttpCacheType 1293
#define sipName_setHttpCacheType &sipStrings_QtWebEngine[1293]
#define sipNameNr_setHttpUserAgent 1310
#define sipName_setHttpUserAgent &sipStrings_QtWebEngine[1310]
#define sipNameNr_disconnectNotify 1327
#define sipName_disconnectNotify &sipStrings_QtWebEngine[1327]
#define sipNameNr_setDownloadPath 1344
#define sipName_setDownloadPath &sipStrings_QtWebEngine[1344]
#define sipNameNr_removeUrlScheme 1360
#define sipName_removeUrlScheme &sipStrings_QtWebEngine[1360]
#define sipNameNr_setOffTheRecord 1376
#define sipName_setOffTheRecord &sipStrings_QtWebEngine[1376]
#define sipNameNr_MemoryHttpCache 1392
#define sipName_MemoryHttpCache &sipStrings_QtWebEngine[1392]
#define sipNameNr_worldIdChanged 1408
#define sipName_worldIdChanged &sipStrings_QtWebEngine[1408]
#define sipNameNr_runOnSubframes 1423
#define sipName_runOnSubframes &sipStrings_QtWebEngine[1423]
#define sipNameNr_injectionPoint 1438
#define sipName_injectionPoint &sipStrings_QtWebEngine[1438]
#define sipNameNr_InjectionPoint 192
#define sipName_InjectionPoint &sipStrings_QtWebEngine[192]
#define sipNameNr_defaultProfile 1453
#define sipName_defaultProfile &sipStrings_QtWebEngine[1453]
#define sipNameNr_clearHttpCache 1468
#define sipName_clearHttpCache &sipStrings_QtWebEngine[1468]
#define sipNameNr_isOffTheRecord 1483
#define sipName_isOffTheRecord &sipStrings_QtWebEngine[1483]
#define sipNameNr_setStorageName 1498
#define sipName_setStorageName &sipStrings_QtWebEngine[1498]
#define sipNameNr_setSourceCode 1513
#define sipName_setSourceCode &sipStrings_QtWebEngine[1513]
#define sipNameNr_ScriptWorldId 268
#define sipName_ScriptWorldId &sipStrings_QtWebEngine[268]
#define sipNameNr_DocumentReady 1527
#define sipName_DocumentReady &sipStrings_QtWebEngine[1527]
#define sipNameNr_httpCacheType 1541
#define sipName_httpCacheType &sipStrings_QtWebEngine[1541]
#define sipNameNr_httpUserAgent 1555
#define sipName_httpUserAgent &sipStrings_QtWebEngine[1555]
#define sipNameNr_DiskHttpCache 1569
#define sipName_DiskHttpCache &sipStrings_QtWebEngine[1569]
#define sipNameNr_HttpCacheType 231
#define sipName_HttpCacheType &sipStrings_QtWebEngine[231]
#define sipNameNr_connectNotify 1330
#define sipName_connectNotify &sipStrings_QtWebEngine[1330]
#define sipNameNr_setSourceUrl 1583
#define sipName_setSourceUrl &sipStrings_QtWebEngine[1583]
#define sipNameNr_downloadPath 1596
#define sipName_downloadPath &sipStrings_QtWebEngine[1596]
#define sipNameNr_setCachePath 1609
#define sipName_setCachePath &sipStrings_QtWebEngine[1609]
#define sipNameNr_QtWebEngine 1196
#define sipName_QtWebEngine &sipStrings_QtWebEngine[1196]
#define sipNameNr_cookieStore 1622
#define sipName_cookieStore &sipStrings_QtWebEngine[1622]
#define sipNameNr_storageName 1634
#define sipName_storageName &sipStrings_QtWebEngine[1634]
#define sipNameNr_nameChanged 1646
#define sipName_nameChanged &sipStrings_QtWebEngine[1646]
#define sipNameNr_customEvent 1658
#define sipName_customEvent &sipStrings_QtWebEngine[1658]
#define sipNameNr_eventFilter 1670
#define sipName_eventFilter &sipStrings_QtWebEngine[1670]
#define sipNameNr_setWorldId 1682
#define sipName_setWorldId &sipStrings_QtWebEngine[1682]
#define sipNameNr_sourceCode 1693
#define sipName_sourceCode &sipStrings_QtWebEngine[1693]
#define sipNameNr_initialize 1704
#define sipName_initialize &sipStrings_QtWebEngine[1704]
#define sipNameNr_childEvent 1715
#define sipName_childEvent &sipStrings_QtWebEngine[1715]
#define sipNameNr_timerEvent 1726
#define sipName_timerEvent &sipStrings_QtWebEngine[1726]
#define sipNameNr_sourceUrl 1737
#define sipName_sourceUrl &sipStrings_QtWebEngine[1737]
#define sipNameNr_UserWorld 1747
#define sipName_UserWorld &sipStrings_QtWebEngine[1747]
#define sipNameNr_MainWorld 1757
#define sipName_MainWorld &sipStrings_QtWebEngine[1757]
#define sipNameNr_cachePath 1767
#define sipName_cachePath &sipStrings_QtWebEngine[1767]
#define sipNameNr_Deferred 1777
#define sipName_Deferred &sipStrings_QtWebEngine[1777]
#define sipNameNr_toString 1786
#define sipName_toString &sipStrings_QtWebEngine[1786]
#define sipNameNr_worldId 1795
#define sipName_worldId &sipStrings_QtWebEngine[1795]
#define sipNameNr_NoCache 1803
#define sipName_NoCache &sipStrings_QtWebEngine[1803]
#define sipNameNr_setName 1811
#define sipName_setName &sipStrings_QtWebEngine[1811]
#define sipNameNr_parent 1819
#define sipName_parent &sipStrings_QtWebEngine[1819]
#define sipNameNr_event 1826
#define sipName_event &sipStrings_QtWebEngine[1826]
#define sipNameNr_name 1832
#define sipName_name &sipStrings_QtWebEngine[1832]

#define sipMalloc                   sipAPI_QtWebEngine->api_malloc
#define sipFree                     sipAPI_QtWebEngine->api_free
#define sipBuildResult              sipAPI_QtWebEngine->api_build_result
#define sipCallMethod               sipAPI_QtWebEngine->api_call_method
#define sipCallProcedureMethod      sipAPI_QtWebEngine->api_call_procedure_method
#define sipCallErrorHandler         sipAPI_QtWebEngine->api_call_error_handler
#define sipParseResultEx            sipAPI_QtWebEngine->api_parse_result_ex
#define sipParseResult              sipAPI_QtWebEngine->api_parse_result
#define sipParseArgs                sipAPI_QtWebEngine->api_parse_args
#define sipParseKwdArgs             sipAPI_QtWebEngine->api_parse_kwd_args
#define sipParsePair                sipAPI_QtWebEngine->api_parse_pair
#define sipInstanceDestroyed        sipAPI_QtWebEngine->api_instance_destroyed
#define sipInstanceDestroyedEx      sipAPI_QtWebEngine->api_instance_destroyed_ex
#define sipConvertFromSequenceIndex sipAPI_QtWebEngine->api_convert_from_sequence_index
#define sipConvertFromSliceObject   sipAPI_QtWebEngine->api_convert_from_slice_object
#define sipConvertFromVoidPtr       sipAPI_QtWebEngine->api_convert_from_void_ptr
#define sipConvertToVoidPtr         sipAPI_QtWebEngine->api_convert_to_void_ptr
#define sipAddException             sipAPI_QtWebEngine->api_add_exception
#define sipNoFunction               sipAPI_QtWebEngine->api_no_function
#define sipNoMethod                 sipAPI_QtWebEngine->api_no_method
#define sipAbstractMethod           sipAPI_QtWebEngine->api_abstract_method
#define sipBadClass                 sipAPI_QtWebEngine->api_bad_class
#define sipBadCatcherResult         sipAPI_QtWebEngine->api_bad_catcher_result
#define sipBadCallableArg           sipAPI_QtWebEngine->api_bad_callable_arg
#define sipBadOperatorArg           sipAPI_QtWebEngine->api_bad_operator_arg
#define sipTrace                    sipAPI_QtWebEngine->api_trace
#define sipTransferBack             sipAPI_QtWebEngine->api_transfer_back
#define sipTransferTo               sipAPI_QtWebEngine->api_transfer_to
#define sipTransferBreak            sipAPI_QtWebEngine->api_transfer_break
#define sipSimpleWrapper_Type       sipAPI_QtWebEngine->api_simplewrapper_type
#define sipWrapper_Type             sipAPI_QtWebEngine->api_wrapper_type
#define sipWrapperType_Type         sipAPI_QtWebEngine->api_wrappertype_type
#define sipVoidPtr_Type             sipAPI_QtWebEngine->api_voidptr_type
#define sipGetPyObject              sipAPI_QtWebEngine->api_get_pyobject
#define sipGetAddress               sipAPI_QtWebEngine->api_get_address
#define sipGetMixinAddress          sipAPI_QtWebEngine->api_get_mixin_address
#define sipGetCppPtr                sipAPI_QtWebEngine->api_get_cpp_ptr
#define sipGetComplexCppPtr         sipAPI_QtWebEngine->api_get_complex_cpp_ptr
#define sipIsPyMethod               sipAPI_QtWebEngine->api_is_py_method
#define sipCallHook                 sipAPI_QtWebEngine->api_call_hook
#define sipEndThread                sipAPI_QtWebEngine->api_end_thread
#define sipConnectRx                sipAPI_QtWebEngine->api_connect_rx
#define sipDisconnectRx             sipAPI_QtWebEngine->api_disconnect_rx
#define sipRaiseUnknownException    sipAPI_QtWebEngine->api_raise_unknown_exception
#define sipRaiseTypeException       sipAPI_QtWebEngine->api_raise_type_exception
#define sipBadLengthForSlice        sipAPI_QtWebEngine->api_bad_length_for_slice
#define sipAddTypeInstance          sipAPI_QtWebEngine->api_add_type_instance
#define sipFreeSipslot              sipAPI_QtWebEngine->api_free_sipslot
#define sipSameSlot                 sipAPI_QtWebEngine->api_same_slot
#define sipPySlotExtend             sipAPI_QtWebEngine->api_pyslot_extend
#define sipConvertRx                sipAPI_QtWebEngine->api_convert_rx
#define sipAddDelayedDtor           sipAPI_QtWebEngine->api_add_delayed_dtor
#define sipCanConvertToType         sipAPI_QtWebEngine->api_can_convert_to_type
#define sipConvertToType            sipAPI_QtWebEngine->api_convert_to_type
#define sipForceConvertToType       sipAPI_QtWebEngine->api_force_convert_to_type
#define sipCanConvertToEnum         sipAPI_QtWebEngine->api_can_convert_to_enum
#define sipConvertToEnum            sipAPI_QtWebEngine->api_convert_to_enum
#define sipConvertToBool            sipAPI_QtWebEngine->api_convert_to_bool
#define sipReleaseType              sipAPI_QtWebEngine->api_release_type
#define sipConvertFromType          sipAPI_QtWebEngine->api_convert_from_type
#define sipConvertFromNewType       sipAPI_QtWebEngine->api_convert_from_new_type
#define sipConvertFromNewPyType     sipAPI_QtWebEngine->api_convert_from_new_pytype
#define sipConvertFromEnum          sipAPI_QtWebEngine->api_convert_from_enum
#define sipGetState                 sipAPI_QtWebEngine->api_get_state
#define sipExportSymbol             sipAPI_QtWebEngine->api_export_symbol
#define sipImportSymbol             sipAPI_QtWebEngine->api_import_symbol
#define sipFindType                 sipAPI_QtWebEngine->api_find_type
#define sipFindNamedEnum            sipAPI_QtWebEngine->api_find_named_enum
#define sipBytes_AsChar             sipAPI_QtWebEngine->api_bytes_as_char
#define sipBytes_AsString           sipAPI_QtWebEngine->api_bytes_as_string
#define sipString_AsASCIIChar       sipAPI_QtWebEngine->api_string_as_ascii_char
#define sipString_AsASCIIString     sipAPI_QtWebEngine->api_string_as_ascii_string
#define sipString_AsLatin1Char      sipAPI_QtWebEngine->api_string_as_latin1_char
#define sipString_AsLatin1String    sipAPI_QtWebEngine->api_string_as_latin1_string
#define sipString_AsUTF8Char        sipAPI_QtWebEngine->api_string_as_utf8_char
#define sipString_AsUTF8String      sipAPI_QtWebEngine->api_string_as_utf8_string
#define sipUnicode_AsWChar          sipAPI_QtWebEngine->api_unicode_as_wchar
#define sipUnicode_AsWString        sipAPI_QtWebEngine->api_unicode_as_wstring
#define sipConvertFromConstVoidPtr  sipAPI_QtWebEngine->api_convert_from_const_void_ptr
#define sipConvertFromVoidPtrAndSize    sipAPI_QtWebEngine->api_convert_from_void_ptr_and_size
#define sipConvertFromConstVoidPtrAndSize   sipAPI_QtWebEngine->api_convert_from_const_void_ptr_and_size
#define sipInvokeSlot               sipAPI_QtWebEngine->api_invoke_slot
#define sipInvokeSlotEx             sipAPI_QtWebEngine->api_invoke_slot_ex
#define sipSaveSlot                 sipAPI_QtWebEngine->api_save_slot
#define sipClearAnySlotReference    sipAPI_QtWebEngine->api_clear_any_slot_reference
#define sipVisitSlot                sipAPI_QtWebEngine->api_visit_slot
#define sipWrappedTypeName(wt)      ((wt)->wt_td->td_cname)
#define sipDeprecated               sipAPI_QtWebEngine->api_deprecated
#define sipGetReference             sipAPI_QtWebEngine->api_get_reference
#define sipKeepReference            sipAPI_QtWebEngine->api_keep_reference
#define sipRegisterProxyResolver    sipAPI_QtWebEngine->api_register_proxy_resolver
#define sipRegisterPyType           sipAPI_QtWebEngine->api_register_py_type
#define sipTypeFromPyTypeObject     sipAPI_QtWebEngine->api_type_from_py_type_object
#define sipTypeScope                sipAPI_QtWebEngine->api_type_scope
#define sipResolveTypedef           sipAPI_QtWebEngine->api_resolve_typedef
#define sipRegisterAttributeGetter  sipAPI_QtWebEngine->api_register_attribute_getter
#define sipIsAPIEnabled             sipAPI_QtWebEngine->api_is_api_enabled
#define sipSetDestroyOnExit         sipAPI_QtWebEngine->api_set_destroy_on_exit
#define sipEnableAutoconversion     sipAPI_QtWebEngine->api_enable_autoconversion
#define sipEnableOverflowChecking   sipAPI_QtWebEngine->api_enable_overflow_checking
#define sipInitMixin                sipAPI_QtWebEngine->api_init_mixin
#define sipExportModule             sipAPI_QtWebEngine->api_export_module
#define sipInitModule               sipAPI_QtWebEngine->api_init_module
#define sipGetInterpreter           sipAPI_QtWebEngine->api_get_interpreter
#define sipSetNewUserTypeHandler    sipAPI_QtWebEngine->api_set_new_user_type_handler
#define sipSetTypeUserData          sipAPI_QtWebEngine->api_set_type_user_data
#define sipGetTypeUserData          sipAPI_QtWebEngine->api_get_type_user_data
#define sipPyTypeDict               sipAPI_QtWebEngine->api_py_type_dict
#define sipPyTypeName               sipAPI_QtWebEngine->api_py_type_name
#define sipGetCFunction             sipAPI_QtWebEngine->api_get_c_function
#define sipGetMethod                sipAPI_QtWebEngine->api_get_method
#define sipFromMethod               sipAPI_QtWebEngine->api_from_method
#define sipGetDate                  sipAPI_QtWebEngine->api_get_date
#define sipFromDate                 sipAPI_QtWebEngine->api_from_date
#define sipGetDateTime              sipAPI_QtWebEngine->api_get_datetime
#define sipFromDateTime             sipAPI_QtWebEngine->api_from_datetime
#define sipGetTime                  sipAPI_QtWebEngine->api_get_time
#define sipFromTime                 sipAPI_QtWebEngine->api_from_time
#define sipIsUserType               sipAPI_QtWebEngine->api_is_user_type
#define sipGetFrame                 sipAPI_QtWebEngine->api_get_frame
#define sipCheckPluginForType       sipAPI_QtWebEngine->api_check_plugin_for_type
#define sipUnicodeNew               sipAPI_QtWebEngine->api_unicode_new
#define sipUnicodeWrite             sipAPI_QtWebEngine->api_unicode_write
#define sipUnicodeData              sipAPI_QtWebEngine->api_unicode_data
#define sipGetBufferInfo            sipAPI_QtWebEngine->api_get_buffer_info
#define sipReleaseBufferInfo        sipAPI_QtWebEngine->api_release_buffer_info
#define sipIsOwnedByPython          sipAPI_QtWebEngine->api_is_owned_by_python
#define sipIsDerivedClass           sipAPI_QtWebEngine->api_is_derived_class
#define sipGetUserObject            sipAPI_QtWebEngine->api_get_user_object
#define sipSetUserObject            sipAPI_QtWebEngine->api_set_user_object
#define sipRegisterEventHandler     sipAPI_QtWebEngine->api_register_event_handler
#define sipLong_AsChar              sipAPI_QtWebEngine->api_long_as_char
#define sipLong_AsSignedChar        sipAPI_QtWebEngine->api_long_as_signed_char
#define sipLong_AsUnsignedChar      sipAPI_QtWebEngine->api_long_as_unsigned_char
#define sipLong_AsShort             sipAPI_QtWebEngine->api_long_as_short
#define sipLong_AsUnsignedShort     sipAPI_QtWebEngine->api_long_as_unsigned_short
#define sipLong_AsInt               sipAPI_QtWebEngine->api_long_as_int
#define sipLong_AsUnsignedInt       sipAPI_QtWebEngine->api_long_as_unsigned_int
#define sipLong_AsLong              sipAPI_QtWebEngine->api_long_as_long
#define sipLong_AsUnsignedLong      sipAPI_QtWebEngine->api_long_as_unsigned_long
#define sipLong_AsLongLong          sipAPI_QtWebEngine->api_long_as_long_long
#define sipLong_AsUnsignedLongLong  sipAPI_QtWebEngine->api_long_as_unsigned_long_long
#define sipLong_AsSizeT             sipAPI_QtWebEngine->api_long_as_size_t
#define sipVisitWrappers            sipAPI_QtWebEngine->api_visit_wrappers
#define sipRegisterExitNotifier     sipAPI_QtWebEngine->api_register_exit_notifier

/* These are deprecated. */
#define sipMapStringToClass         sipAPI_QtWebEngine->api_map_string_to_class
#define sipMapIntToClass            sipAPI_QtWebEngine->api_map_int_to_class
#define sipFindClass                sipAPI_QtWebEngine->api_find_class
#define sipFindMappedType           sipAPI_QtWebEngine->api_find_mapped_type
#define sipConvertToArray           sipAPI_QtWebEngine->api_convert_to_array
#define sipConvertToTypedArray      sipAPI_QtWebEngine->api_convert_to_typed_array
#define sipEnableGC                 sipAPI_QtWebEngine->api_enable_gc
#define sipPrintObject              sipAPI_QtWebEngine->api_print_object
#define sipWrapper_Check(w)         PyObject_TypeCheck((w), sipAPI_QtWebEngine->api_wrapper_type)
#define sipGetWrapper(p, wt)        sipGetPyObject((p), (wt)->wt_td)
#define sipReleaseInstance(p, wt, s)    sipReleaseType((p), (wt)->wt_td, (s))
#define sipReleaseMappedType        sipReleaseType
#define sipCanConvertToInstance(o, wt, f)   sipCanConvertToType((o), (wt)->wt_td, (f))
#define sipCanConvertToMappedType   sipCanConvertToType
#define sipConvertToInstance(o, wt, t, f, s, e)     sipConvertToType((o), (wt)->wt_td, (t), (f), (s), (e))
#define sipConvertToMappedType      sipConvertToType
#define sipForceConvertToInstance(o, wt, t, f, s, e)    sipForceConvertToType((o), (wt)->wt_td, (t), (f), (s), (e))
#define sipForceConvertToMappedType sipForceConvertToType
#define sipConvertFromInstance(p, wt, t)    sipConvertFromType((p), (wt)->wt_td, (t))
#define sipConvertFromMappedType    sipConvertFromType
#define sipConvertFromNamedEnum(v, pt)  sipConvertFromEnum((v), ((sipEnumTypeObject *)(pt))->type)
#define sipConvertFromNewInstance(p, wt, t) sipConvertFromNewType((p), (wt)->wt_td, (t))

/* The strings used by this module. */
extern const char sipStrings_QtWebEngine[];

#define sipType_QQuickWebEngineProfile sipExportedTypes_QtWebEngine[0]
#define sipClass_QQuickWebEngineProfile sipExportedTypes_QtWebEngine[0]->u.td_wrapper_type

#define sipType_QQuickWebEngineProfile_PersistentCookiesPolicy sipExportedTypes_QtWebEngine[2]
#define sipEnum_QQuickWebEngineProfile_PersistentCookiesPolicy sipExportedTypes_QtWebEngine[2]->u.td_py_type

#define sipType_QQuickWebEngineProfile_HttpCacheType sipExportedTypes_QtWebEngine[1]
#define sipEnum_QQuickWebEngineProfile_HttpCacheType sipExportedTypes_QtWebEngine[1]->u.td_py_type

extern sipClassTypeDef sipTypeDef_QtWebEngine_QQuickWebEngineProfile;

#define sipType_QQuickWebEngineScript sipExportedTypes_QtWebEngine[3]
#define sipClass_QQuickWebEngineScript sipExportedTypes_QtWebEngine[3]->u.td_wrapper_type

#define sipType_QQuickWebEngineScript_ScriptWorldId sipExportedTypes_QtWebEngine[5]
#define sipEnum_QQuickWebEngineScript_ScriptWorldId sipExportedTypes_QtWebEngine[5]->u.td_py_type

#define sipType_QQuickWebEngineScript_InjectionPoint sipExportedTypes_QtWebEngine[4]
#define sipEnum_QQuickWebEngineScript_InjectionPoint sipExportedTypes_QtWebEngine[4]->u.td_py_type

extern sipClassTypeDef sipTypeDef_QtWebEngine_QQuickWebEngineScript;

#define sipType_QtWebEngine sipExportedTypes_QtWebEngine[6]
#define sipClass_QtWebEngine sipExportedTypes_QtWebEngine[6]->u.td_wrapper_type

extern sipClassTypeDef sipTypeDef_QtWebEngine_QtWebEngine;

/* The SIP API, this module's API and the APIs of any imported modules. */
extern const sipAPIDef *sipAPI_QtWebEngine;
extern sipExportedModuleDef sipModuleAPI_QtWebEngine;
extern sipTypeDef *sipExportedTypes_QtWebEngine[];

#define sipType_QObject sipImportedTypes_QtWebEngine_QtCore[4].it_td
#define sipClass_QObject sipImportedTypes_QtWebEngine_QtCore[4].it_td->u.td_wrapper_type

#define sipType_QByteArray sipImportedTypes_QtWebEngine_QtCore[0].it_td
#define sipClass_QByteArray sipImportedTypes_QtWebEngine_QtCore[0].it_td->u.td_wrapper_type

#define sipType_QEvent sipImportedTypes_QtWebEngine_QtCore[2].it_td
#define sipClass_QEvent sipImportedTypes_QtWebEngine_QtCore[2].it_td->u.td_wrapper_type

#define sipType_QTimerEvent sipImportedTypes_QtWebEngine_QtCore[7].it_td
#define sipClass_QTimerEvent sipImportedTypes_QtWebEngine_QtCore[7].it_td->u.td_wrapper_type

#define sipType_QChildEvent sipImportedTypes_QtWebEngine_QtCore[1].it_td
#define sipClass_QChildEvent sipImportedTypes_QtWebEngine_QtCore[1].it_td->u.td_wrapper_type

#define sipType_QMetaMethod sipImportedTypes_QtWebEngine_QtCore[3].it_td
#define sipClass_QMetaMethod sipImportedTypes_QtWebEngine_QtCore[3].it_td->u.td_wrapper_type

#define sipType_QUrl sipImportedTypes_QtWebEngine_QtCore[8].it_td
#define sipClass_QUrl sipImportedTypes_QtWebEngine_QtCore[8].it_td->u.td_wrapper_type

#define sipType_QStringList sipImportedTypes_QtWebEngine_QtCore[6].it_td

#define sipType_QString sipImportedTypes_QtWebEngine_QtCore[5].it_td
extern sipImportedTypeDef sipImportedTypes_QtWebEngine_QtCore[];
extern sipImportedVirtErrorHandlerDef sipImportedVirtErrorHandlers_QtWebEngine_QtCore[];

#define sipType_QWebEngineClientCertificateStore sipImportedTypes_QtWebEngine_QtWebEngineCore[0].it_td
#define sipClass_QWebEngineClientCertificateStore sipImportedTypes_QtWebEngine_QtWebEngineCore[0].it_td->u.td_wrapper_type

#define sipType_QWebEngineCookieStore sipImportedTypes_QtWebEngine_QtWebEngineCore[1].it_td
#define sipClass_QWebEngineCookieStore sipImportedTypes_QtWebEngine_QtWebEngineCore[1].it_td->u.td_wrapper_type

#define sipType_QWebEngineNotification sipImportedTypes_QtWebEngine_QtWebEngineCore[2].it_td
#define sipClass_QWebEngineNotification sipImportedTypes_QtWebEngine_QtWebEngineCore[2].it_td->u.td_wrapper_type

#define sipType_QWebEngineUrlRequestInterceptor sipImportedTypes_QtWebEngine_QtWebEngineCore[3].it_td
#define sipClass_QWebEngineUrlRequestInterceptor sipImportedTypes_QtWebEngine_QtWebEngineCore[3].it_td->u.td_wrapper_type

#define sipType_QWebEngineUrlSchemeHandler sipImportedTypes_QtWebEngine_QtWebEngineCore[4].it_td
#define sipClass_QWebEngineUrlSchemeHandler sipImportedTypes_QtWebEngine_QtWebEngineCore[4].it_td->u.td_wrapper_type
extern sipImportedTypeDef sipImportedTypes_QtWebEngine_QtWebEngineCore[];

typedef const QMetaObject *(*sip_qt_metaobject_func)(sipSimpleWrapper *,sipTypeDef *);
extern sip_qt_metaobject_func sip_QtWebEngine_qt_metaobject;

typedef int (*sip_qt_metacall_func)(sipSimpleWrapper *,sipTypeDef *,QMetaObject::Call,int,void **);
extern sip_qt_metacall_func sip_QtWebEngine_qt_metacall;

typedef bool (*sip_qt_metacast_func)(sipSimpleWrapper *, const sipTypeDef *, const char *, void **);
extern sip_qt_metacast_func sip_QtWebEngine_qt_metacast;

#endif
